ion-chip {
  --background: #f5f5f5;
}

.native-input.sc-ion-input-md,
.native-input.sc-ion-input-ios {
  padding: 1rem;
}

@media screen and (max-width: 528px) {
  .native-input.sc-ion-input-md,
  .native-input.sc-ion-input-ios {
    padding: 1rem;
  }
}

ion-input {
  &.custom {
    --background: #f5f5f5;
    border-radius: 0.5rem;
    border: lightgray 1px solid;
    font-size: 1.4rem;
    padding: 0;
    width: 20rem;
  }

  &.personal-data-section-custom {
    --background: #f5f5f5;
    border-radius: 0.5rem;
    border: lightgray 1px solid;
    z-index: 0;
    font-size: 1.4rem;
    padding: 0;
    margin: 0 auto;
    width: 100%;
  }

  &.address-section-custom {
    --background: #f5f5f5;
    border-radius: 5rem;
    z-index: 0;
    font-size: 1.4rem;
    padding: 0;
    margin: 0 auto;
    width: 100%;
  }

  &.ion-error-message {
    border: var(--ion-color-danger, #f1453d) 1px solid;
  }
}

ion-toast.custom-toast {
  --box-shadow: 3px 3px 10px 0 rgba(0, 0, 0, 0.2);
  &::part(message) {
    text-align: center;
    font-style: italic;
  }
}

ion-toast.custom-toast::part(button) {
  border-left: 1px solid #d2d2d2;
  color: #030207;
  font-size: 15px;
}

@media screen and (max-width: 428px) {
  ion-input {
    &.custom {
      margin: 0;
      width: 100%;
    }
  }
}

ion-popover {
  &.popover-over-parent {
    position: absolute;
    top: -5rem;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;

    p {
      margin: 3.5rem 2rem;
      font-size: 1.4rem;
      cursor: pointer;

      &:hover {
        text-decoration: underline;
        font-weight: 500;
      }
    }
  }

  &.action-submission-popover {
    --width: 55rem;
    .container {
      height: 20rem;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      .title {
        width: 100%;
        height: 100%;
        text-align: center;
        padding: 2rem;
        font-size: 2.2rem;
        color: white;
        background-color: #390990;

        display: flex;
        align-items: center;
        justify-content: center;
      }

      span {
        &:nth-child(2) {
          padding: 1.2rem;
          font-size: 1.4rem;
          font-weight: bold;
        }
      }

      .buttons {
        display: flex;
        justify-content: center;
        align-items: center;

        span {
          text-align: center;
          font-size: 1.6rem;
          cursor: pointer;
          margin: 2rem 1rem;
          padding: 1rem;
          border: #1a1d1e 1px solid;
          border-radius: 0.5rem;
          background-color: #f5f5f5;
          min-width: 5rem;

          &:nth-child(2) {
            color: white;
            background-color: #390990;
          }
        }
      }
    }

    &-request-form-issue {
      --width: 100rem;
      --height: 90vh;
    }
  }

  &.action-revoke-functionality-popover {
    --width: 65rem;
    .container {
      height: auto;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      .title {
        width: 100%;
        height: 100%;
        text-align: center;
        padding: 2rem;
        font-size: 2.2rem;
        color: white;
        background-color: #390990;

        display: flex;
        align-items: center;
        justify-content: center;
      }

      span {
        font-size: 1.4rem;

        &:nth-child(2),
        &:nth-child(3) {
          padding: 1rem;
          font-weight: bold;
        }
      }

      .buttons {
        display: flex;
        justify-content: center;
        align-items: center;

        span {
          text-align: center;
          font-size: 1.6rem;
          cursor: pointer;
          margin: 2rem 1rem;
          padding: 1rem;
          border: #1a1d1e 1px solid;
          border-radius: 0.5rem;
          background-color: #f5f5f5;
          min-width: 5rem;

          &:nth-child(2) {
            color: white;
            background-color: #390990;
          }
        }
      }
    }
  }

  &.action-third-party-functionality-popover {
    --width: 65rem;
    .container {
      height: auto;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      .title {
        width: 100%;
        height: 100%;
        text-align: center;
        padding: 2rem;
        font-size: 2.2rem;
        color: white;
        background-color: #390990;

        display: flex;
        align-items: center;
        justify-content: center;
      }

      span {
        font-size: 1.4rem;

        &:nth-child(2),
        &:nth-child(3) {
          padding: 1rem;
          font-weight: bold;
        }
      }

      .buttons {
        display: flex;
        justify-content: center;
        align-items: center;

        span {
          text-align: center;
          font-size: 1.6rem;
          cursor: pointer;
          margin: 2rem 1rem;
          padding: 1rem;
          border: #1a1d1e 1px solid;
          border-radius: 0.5rem;
          background-color: #f5f5f5;
          min-width: 5rem;

          &:nth-child(2) {
            color: white;
            background-color: #390990;
          }
        }
      }
    }
  }

  //&.action-third-party-functionality-popover {
  //  --width: 120rem;
  //  --height: auto;
  //  top: -10rem;
  //  font-size: 1.6rem;
  //
  //  @media screen and (max-width: 1194px) {
  //    top: -10rem;
  //    left: -115rem;
  //    --width: 115rem;
  //  }
  //
  //  :root {
  //    --ifm-heading-font-family: var(--ifm-font-family-base);
  //    --ebsi-color-light-blue-100: #00b3ef;
  //    --ifm-code-background: #f6f7f8;
  //    --ifm-global-radius: 0.4rem;
  //    --ifm-code-border-radius: var(--ifm-global-radius);
  //    --ifm-font-family-monospace: sfmono-regular, menlo, monaco, consolas, "Liberation Mono",
  //    "Courier New", monospace;
  //    --ifm-font-family-bold: "Source Sans Pro SB", var(--ifm-heading-font-family);
  //    --ifm-code-padding-horizontal: 0.1rem;
  //    --ifm-code-padding-vertical: 0.1rem;
  //    --ifm-code-font-size: 90%;
  //    --ebsi-color-pink: #cd1d8b;
  //  }
  //
  //  h2 {
  //    margin: 0;
  //  }
  //
  //  .title {
  //    font: 400 40px/1.5 Helvetica, Verdana, sans-serif;
  //    font-size: 2rem;
  //  }
  //
  //  p {
  //    display: block;
  //    margin-block-start: 1em;
  //    margin-block-end: 1em;
  //    margin-inline-start: 0;
  //    margin-inline-end: 0;
  //  }
  //
  //  .next-container {
  //    justify-content: center;
  //    align-items: center;
  //  }
  //
  //  .primary-pink {
  //    background-color: var(--ebsi-color-pink);
  //    border: 1px solid var(--ebsi-color-pink);
  //    color: #fff;
  //    display: flex !important;
  //
  //    appearance: none;
  //    box-shadow: 0 4px 8px #0037640f;
  //    box-sizing: border-box;
  //    cursor: pointer;
  //    text-decoration: none;
  //  }
  //
  //  .margin-right {
  //    margin-right: 0.5rem;
  //  }
  //
  //  .button-radius {
  //    border-radius: 3rem;
  //    font: 500 var(--ifm-font-family-bold);
  //    padding: 0.55rem 1rem;
  //    margin-top: 2rem;
  //  }
  //
  //  .navigation {
  //    display: flex;
  //    justify-content: flex-start;
  //    align-items: baseline;
  //    padding: 0.5rem 0;
  //  }
  //
  //  .margin-right-important {
  //    margin-right: 1.5rem !important;
  //  }
  //
  //  .button-back {
  //    -webkit-appearance: none;
  //    appearance: none;
  //    background: none;
  //    border: 1px solid #0000;
  //    box-shadow: 0 4px 8px #0037640f;
  //    box-sizing: border-box;
  //    cursor: pointer;
  //    display: inline-block;
  //    margin: 0;
  //    text-decoration: none;
  //  }
  //
  //  .secondary-pink_color {
  //    background-color: initial;
  //    border-color: var(--ebsi-color-pink);
  //    color: var(--ebsi-color-pink);
  //  }
  //
  //  .md-elevated {
  //    border-radius: 2rem;
  //    font: 500 1rem/1.25 var(--ifm-font-family-bold);
  //    padding: 0.55rem 1rem;
  //  }
  //
  //  .mat-mdc-text-field-wrapper.mdc-text-field {
  //    width: 110rem;
  //    border: 1px solid var(--ebsi-color-dark-purple-80);
  //
  //    @media screen and (max-width: 1194px) {
  //      width: 105rem;
  //      font-size: 1.2rem;
  //    }
  //  }
  //
  //  .mat-horizontal-content-container {
  //    @media screen and (max-width: 1194px) {
  //      padding: 1rem;
  //    }
  //  }
  //
  //  .margin-10 {
  //    margin: 2rem 0;
  //  }
  //}
}
